# $Revision: 1.220 $, $Date: 2007/01/19 21:28:02 $
# TODO:
# - move translations into a separate, noarch package
#
%bcond_without	shared		# static or shared version
%bcond_without	distributable	# distributable or not
%bcond_without	incall		# include all tarballs into src.rpm (but splitted into shared/static)
%bcond_with	snap		# snap version
%bcond_with	weekly		# weekly snapshot version

%ifarch sparc64 sparc
%undefine with_shared
%endif

%if %{with weekly}
%define	ver		9.12
%define	sver		%{ver}
%define	fix		%{nil}
%define	dirrel		20070119
%define	magicstr	543
%define with_snap	1
%else
%if %{with snap}
%define	ver		9.0
%define	sver		%{ver}
%define	fix		%{nil}
%define	dirrel		20060206
%define	reltype		Preview-2
%define	magicstr	%{nil}
%else
%define	ver		9.10
%define	sver		9.10
%define	fix		%{nil}
%define	dirrel		20061214
%define	reltype		final
%define	magicstr	521
%endif
%endif

%define	shver		%(echo %{ver} | tr -d .)%{fix}
%define	x86_shared_rel		%{dirrel}.5
%define	x86_static_rel		%{dirrel}.1
%define	sparc_shared_rel	%{dirrel}.2
%define	sparc_static_rel	%{dirrel}.1
%define	ppc_shared_rel		%{dirrel}.3
%define	ppc_static_rel		%{dirrel}.1
%if %{with shared}
%define	type		shared
# We should be able to build src.rpm also on not supported archs
%define	rel		%{x86_shared_rel}
%ifarch sparc64 sparc
#%%define	rel		%{sparc_shared_rel}
%define	rel		%{sparc_static_rel}
%endif
%ifarch ppc
%define	rel		%{ppc_shared_rel}
%endif
%else
%define	type		static
%define	rel		%{x86_static_rel}
%ifarch sparc sparc64
%define	rel		%{sparc_static_rel}
%endif
%ifarch ppc
%define	rel		%{ppc_static_rel}
%endif
%endif

# define to 0 and then redefine to avoid
# not defined macros
%define	need_ix86_shared_snap	0
%define	need_sparc_shared_snap	0
%define	need_ppc_shared_snap	0
%define	need_ix86_static_snap	0
%define	need_sparc_static_snap	0
%define	need_ppc_static_snap	0

%define	need_ix86_shared	0
%define	need_sparc_shared	0
%define	need_ppc_shared		0
%define	need_ix86_static	0
%define	need_sparc_static	0
%define	need_ppc_static		0

%if %{with incall}
#	with incall?	[if]
%if	%{with snap}
#		with snap?	[if]
%if	%{with shared}
#			with shared?	[if]
%define	need_ix86_shared_snap	1
%define	need_sparc_shared_snap	0
%define	need_ppc_shared_snap	1
%else
#			with shared:	[else]
%define	need_ix86_static_snap	1
%define	need_sparc_static_snap	1
%define	need_ppc_static_snap	1
%endif
#			with shared;	[endif]
%else
#		with snap:	[else]
%if %{with shared}
#			with shared?	[if]
%define	need_ix86_shared	1
#%%define	need_sparc_shared	1
%define	need_sparc_static	1
%define	need_ppc_shared	1
%else
#			with shared:	[else]
%define	need_ix86_static	1
%define	need_sparc_static	1
%define	need_ppc_static	1
%endif
#			with shared;	[endif]
%endif
#		with snap;	[endif]
%else
#	with incall:	[else]
%ifarch	%{ix86}
#		is ix86?	[if]
%if	%{with snap}
#			with snap?	[if]
%if	%{with shared}
#				with shared?	[if]
%define	need_ix86_shared_snap	1
%else
#				with shared:	[else]
%define	need_ix86_static_snap	1
%endif
#				with shared;	[endif]
%else
#			with snap:	[else]
%if	%{with shared}
#				with shared?	[if]
%define	need_ix86_shared	1
%else
#				with shared:	[else]
%define	need_ix86_static	1
%endif
#				with shared;	[endif]
%endif
#			with snap;	[endif]
%endif
#		is ix86;	[endif]
%ifarch	sparc sparc64
#		is sparc?	[if]
%if	%{with snap}
#			with snap?	[if]
%if	%{with shared}
#				with shared?	[if]
%define	need_sparc_shared_snap	1
%else
#				with shared:	[else]
%define	need_sparc_static_snap	1
%endif
#				with shared;	[endif]
%else
#			with snap:	[else]
%if	%{with shared}
#				with shared?	[if]
#%%define	need_sparc_shared	1
%define	need_sparc_static	1
%else
#				with shared:	[else]
%define	need_sparc_static	1
%endif
#				with shared;	[endif]
%endif
#			with snap;	[endif]
%endif
#		is sparc;	[endif]
%ifarch	ppc
#		is ppc?		[if]
%if	%{with snap}
#			with snap?	[if]
%if	%{with shared}
#				with shared?	[if]
%define	need_ppc_shared_snap	1
%else
#				with shared:	[else]
%define	need_ppc_static_snap	1
%endif
#				with shared;	[endif]
%else
#			with snap:	[else]
%if	%{with shared}
#				with shared?	[if]
%define	need_ppc_shared	1
%else
#				with shared:	[else]
%define	need_ppc_static	1
%endif
#				with shared;	[endif
%endif
#			with snap;	[endif
%endif
#		is ppc;		[endif]
%endif
#	with incall;	[endif]

%if %{with weekly}
%define	need_ppc_shared_snap	0
%define	need_ppc_static_snap	0
%define	need_sparc_shared_snap	0
%define	need_sparc_static_snap	0
%endif

%define		_rel	4
Summary:	World fastest web browser
Summary(pl):	Najszybsza przegldarka WWW na wiecie
Name:		opera
Version:	%{ver}%{fix}
Release:	%{?with_snap:1.%{rel}.}%{_rel}
Epoch:		2
License:	Distributable for PLD until 31 Dec 2006 - http://distribute.opera.com/ (otherwise restricted, see file LICENSE)
Group:		X11/Applications/Networking

%if %{need_ix86_static}
Source0:	ftp://ftp.opera.com/pub/opera/linux/%{shver}/%{reltype}/en/i386/static/%{name}-%{sver}-%{x86_static_rel}-static-qt.i386-en.tar.bz2
# Source0-md5:	dccdc5252ffc6658f3c46f32c64c8219
%{!?with_distributable:NoSource:	0}
%endif

%if %{need_ix86_static_snap}
%if %{with weekly}
Source30100:	http://snapshot.opera.com/unix/Weekly-%{magicstr}/intel-linux/%{name}-%{sver}-%{x86_static_rel}-static-qt.i386-en-%{magicstr}.tar.bz2
%else
Source100:	http://snapshot.opera.com/unix/%{ver}-%{reltype}/%{magicstr}/intel-linux/%{name}-%{sver}-%{x86_static_rel}-static-qt.i386-en-%{magicstr}.tar.bz2
%endif
%{!?with_distributable:NoSource:	100}
%endif

%if %{need_sparc_static}
Source1:	ftp://ftp.opera.com/pub/opera/linux/%{shver}/%{reltype}/en/sparc/static/%{name}-%{sver}-%{sparc_static_rel}-static-qt.sparc-en.tar.bz2
# Source1-md5:	e7bcbbaa48a63827d0efc60cf6fef68d
%{!?with_distributable:NoSource:	1}
%endif

%if %{need_sparc_static_snap}
Source101:	http://snapshot.opera.com/unix/%{ver}-%{reltype}/%{magicstr}/sparc-linux/%{name}-%{sver}-%{sparc_static_rel}-static-qt.sparc-en.tar.bz2
# Source101-md5:	913ccb28106f9f5acd3d94c8dc71ae1
%{!?with_distributable:NoSource:	101}
%endif

%if %{need_ppc_static}
Source2:	ftp://ftp.opera.com/pub/opera/linux/%{shver}/%{reltype}/en/ppc/static/%{name}-%{sver}-%{ppc_static_rel}-static-qt.ppc-en.tar.bz2
# Source2-md5:	d67428a09a036e786efc22e03150a344
%{!?with_distributable:NoSource:	2}
%endif

%if %{need_ppc_static_snap}
%if %{with weekly}
Source30102:	http://snapshot.opera.com/unix/Weekly-%{magicstr}/ppc-linux/%{name}-%{sver}-%{ppc_static_rel}-static-qt.ppc-en-%{magicstr}.tar.bz2
%else
Source102:	http://snapshot.opera.com/unix/%{ver}-%{reltype}/%{magicstr}/ppc-linux/%{name}-%{sver}-%{ppc_static_rel}-static-qt.ppc-en.tar.bz2
%endif
%{!?with_distributable:NoSource:	102}
%endif

%if %{need_ix86_shared}
Source20:	ftp://ftp.opera.com/pub/opera/linux/%{shver}/%{reltype}/en/i386/shared/%{name}-%{sver}-%{x86_shared_rel}-shared-qt.i386-en.tar.bz2
# Source20-md5:	a60b0abe55ca580952b30f4540632425
%{!?with_distributable:NoSource:	20}
%endif

%if %{need_ix86_shared_snap}
%if %{with weekly}
Source301020:	http://snapshot.opera.com/unix/Weekly-%{magicstr}/intel-linux/%{name}-%{sver}-%{x86_shared_rel}-shared-qt.i386-en-%{magicstr}.tar.bz2
# Source301020-md5:	df8ced96f6fbb345ceacc01e51acc770
%else
Source1020:	http://snapshot.opera.com/unix/%{ver}-%{reltype}/%{magicstr}/intel-linux/%{name}-%{sver}-%{x86_shared_rel}-shared-qt.i386-en.tar.bz2
# Source1020-md5:	6f296be6b9fc3001588d4509016062bd
%{!?with_distributable:NoSource:	1020}
%endif
%endif

%if %{need_sparc_shared}
Source21:	ftp://ftp.opera.com/pub/opera/linux/%{shver}/%{reltype}/en/sparc/shared/gcc-2.95/%{name}-%{sver}-%{sparc_shared_rel}-shared-qt.sparc-en.tar.bz2
# Source21-md5:	883df8058672cf52678a07d714dcfce
%{!?with_distributable:NoSource:	21}
%endif

%if %{need_sparc_shared_snap}
Source1021:	http://snapshot.opera.com/unix/%{ver}-%{reltype}/%{magicstr}/sparc-linux/%{name}-%{sver}-%{sparc_shared_rel}-shared-qt.sparc-en.tar.bz2
# Source1021-md5:	e190021f5530de3f711006cd9f6bb339
%{!?with_distributable:NoSource:	1021}
%endif

%if %{need_ppc_shared}
Source22:	ftp://ftp.opera.com/pub/opera/linux/%{shver}/%{reltype}/en/ppc/shared/gcc-2.95/%{name}-%{sver}-%{ppc_shared_rel}-shared-qt.ppc-en.tar.bz2
# Source22-md5:	6ef04f12a39fdbe671dfbd6a37080a81
%{!?with_distributable:NoSource:	22}
%endif

%if %{need_ppc_shared_snap}
%if %{with weekly}
Source301022:	http://snapshot.opera.com/unix/Weekly-%{magicstr}/ppc-linux/%{name}-%{sver}-%{ppc_shared_rel}-shared-qt.ppc-en-%{magicstr}.tar.bz2
# Source301022-md5:	65293d788e18d0c23cccac71b9fe567c
%else
Source1022:	http://snapshot.opera.com/unix/%{ver}-%{reltype}/%{magicstr}/ppc-linux/%{name}-%{sver}-%{ppc_shared_rel}-shared-qt.ppc-en.tar.bz2
# Source1022-md5:	74985fa6da49b2e54c9d03dab1119325
%{!?with_distributable:NoSource:	1022}
%endif
%endif

Source4:	%{name}.desktop
Patch0:		%{name}-wrapper.patch
URL:		http://www.opera.com/
BuildRequires:	rpmbuild(macros) >= 1.356
BuildRequires:	sed >= 4.0
Requires:	browser-plugins >= 2.0
Requires:	freetype >= 2
Provides:	wwwbrowser
ExclusiveArch:	%{ix86} ppc sparc sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%{_libdir}/opera/plugins
%define		_operadocdir	%{_docdir}/%{name}-%{ver}

%description
Opera is world fastest web browser. It supports most of nowaday
extensions of HTML. And it is quite stable. This version is %{?with_shared:shared}%{!?with_shared:statically}
linked with Qt.

%description -l pl
Opera jest najszybsz przegldark WWW na wiecie. Obsuguje wikszo
dzisiejszych rozszerze HTML-a. Dodatkowo jest w miar stabilna. Ta
wersja jest skonsolidowana %{?with_shared:dynamicznie}%{!?with_shared:statycznie} z Qt.

%prep
%ifarch %{ix86}
%setup -q -T -b %{?with_weekly:30}%{?with_snap:10}%{?with_shared:2}0 -n %{name}-%{sver}-%{rel}-%{type}-qt.i386-en%{?magicstr:-%{magicstr}}
%endif
%ifarch sparc sparc64
%setup -q -T -b %{?with_weekly:30}%{?with_snap:10}%{?with_shared:2}1 -n %{name}-%{sver}-%{rel}-%{type}-qt.sparc-en%{?magicstr:-%{magicstr}}
%endif
%ifarch ppc
%setup -q -T -b %{?with_weekly:30}%{?with_snap:10}%{?with_shared:2}2 -n %{name}-%{sver}-%{rel}-%{type}-qt.ppc-en%{?magicstr:-%{magicstr}}
%endif
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir},%{_sysconfdir}}

%browser_plugins_add_browser %{name} -p %{_libdir}/%{name}/plugins -b <<'EOF'
# opera does not use for .xpt files
*.xpt

# use mplayerplug-in-opera instead
mplayerplug-in*
EOF

sh install.sh \
	DESTDIR=$RPM_BUILD_ROOT \
	--prefix=%{_prefix} \
	--exec_prefix=%{_libdir}/opera/bin \
	--docdir=%{_operadocdir}

# install in kde etc.
install images/opera.xpm $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_desktopdir}

mv -f $RPM_BUILD_ROOT%{_datadir}/%{name}/config/* $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_browser_plugins

%postun
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files
%defattr(644,root,root,755)
%doc LICENSE
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/opera*rc*

# browser plugins v2
%{_browserpluginsconfdir}/browsers.d/%{name}.*
%config(noreplace) %verify(not md5 mtime size) %{_browserpluginsconfdir}/blacklist.d/%{name}.*.blacklist

%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/opera
%dir %{_libdir}/opera/bin
%attr(755,root,root) %{_libdir}/opera/bin/*
%dir %{_plugindir}
%attr(755,root,root) %{_plugindir}/*
%dir %{_datadir}/opera
%{_datadir}/opera/*.*
%{_datadir}/opera/images
%{_datadir}/opera/ini
%{_datadir}/opera/java
%{_datadir}/opera/skin
%{_datadir}/opera/styles
%dir %{_datadir}/opera/locale
%{_datadir}/opera/locale/en
%{_datadir}/opera/locale/english.lng
%{_desktopdir}/*.desktop
%{_mandir}/man1/opera.1*
%{_pixmapsdir}/opera.xpm

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: opera.spec,v $
Revision 1.220  2007/01/19 21:28:02  arekm
- up to 543

Revision 1.219  2007/01/14 19:26:00  arekm
- build 536

Revision 1.218  2007/01/10 14:21:21  glen
- mplayerplug-in has own package for opera

Revision 1.217  2007/01/09 23:07:27  glen
- browser plugins v2
- rel 4

Revision 1.216  2006/12/22 16:16:23  glen
- rel 3

Revision 1.215  2006/12/18 11:20:03  arekm
- final opera 9.10

Revision 1.214  2006/12/14 19:43:22  arekm
- up to weekly 521

Revision 1.213  2006/12/07 15:03:47  arekm
- disable ppc/sparc for weekly

Revision 1.212  2006/12/07 14:54:30  arekm
- weekly 507

Revision 1.211  2006/12/01 16:48:04  glen
- rel 4 (don't depend on jpackage-utils)

Revision 1.210  2006/12/01 16:41:46  arekm
- up to weekly 505

Revision 1.209  2006/11/30 15:31:17  glen
- patch wrapper script for JAVA_HOME setting from jpackage-utils; rel 3

Revision 1.208  2006/11/24 20:04:17  arekm
- up to weekly 499

Revision 1.207  2006/11/17 18:18:31  arekm
- up to weekly 494

Revision 1.206  2006/11/10 19:26:20  arekm
- up to weekly 490

Revision 1.205  2006/11/09 00:43:54  charles
- removed install.sh hack (no longer needed)

Revision 1.204  2006/11/08 19:29:13  glen
- not confusing mv

Revision 1.203  2006/11/08 17:30:01  arekm
- fixed todo item

Revision 1.202  2006/11/08 15:56:24  glen
- fix static md5

Revision 1.201  2006/11/08 15:53:20  glen
- update todo

Revision 1.200  2006/11/03 17:22:16  charles
- up to 478 weekly (9.10 RC1)

Revision 1.199  2006/10/21 00:11:51  charles
- new (466) weekly

Revision 1.198  2006/09/22 06:22:56  arekm
- back to rel 2 for final

Revision 1.197  2006/09/22 06:21:33  arekm
- up to 9.02

Revision 1.196  2006/09/09 14:40:48  arekm
- up to 9.02 419 builddir

Revision 1.195  2006/08/11 10:10:38  arekm
- 9.01

Revision 1.194  2006/07/29 14:07:58  arekm
- up to 400 weekly

Revision 1.193  2006/07/25 06:47:23  arekm
- up to 20060724

Revision 1.192  2006/07/23 18:45:40  arekm
- up to 20060721

Revision 1.191  2006/07/08 17:22:26  arekm
- 383 weekly

Revision 1.190  2006/07/07 15:19:50  glen
- fix build for sparc, rel 2

Revision 1.189  2006/06/30 17:46:07  arekm
- up to weekly 379

Revision 1.188  2006/06/23 17:33:01  arekm
- weekly 362

Revision 1.187  2006/06/20 17:47:42  charles
- more md5

Revision 1.186  2006/06/20 14:13:01  shadzik
- up to 9.0 final

Revision 1.185  2006/06/19 06:43:37  arekm
- 344

Revision 1.184  2006/06/16 08:00:53  arekm
- up to 342

Revision 1.183  2006/06/15 08:31:34  arekm
- 339

Revision 1.182  2006/06/12 22:19:30  charles
- up to weekly 333 (IMHO first usable weekly after beta 2)

Revision 1.181  2006/06/09 21:16:55  arekm
- 328 weekly

Revision 1.180  2006/06/08 06:44:22  arekm
- up to weekly 320

Revision 1.179  2006/06/02 18:40:45  arekm
- up to 315

Revision 1.178  2006/05/31 12:55:29  glen
- inline edit moved to %prep

Revision 1.177  2006/05/31 12:28:33  charles
- simplified %install (use DESTDIR)
- rm R openmotif, cleanups

Revision 1.176  2006/05/29 07:40:49  arekm
- weekly 300

Revision 1.175  2006/05/24 19:24:20  arekm
- beta2

Revision 1.174  2006/05/18 22:48:10  charles
- new weekly (284); rel part ++

Revision 1.173  2006/05/12 21:53:23  arekm
- new weekly, erm, daily

Revision 1.172  2006/05/11 13:00:20  arekm
- new weekly (272)

Revision 1.171  2006/05/03 16:22:02  arekm
- new weekly (256)

Revision 1.170  2006/04/21 16:49:23  arekm
- new weekly - 241

Revision 1.169  2006/04/20 16:38:03  arekm
- 9.0 beta1

Revision 1.168  2006/04/19 11:28:53  arekm
- new weekly snap

Revision 1.167  2006/04/15 11:42:30  arekm
- new weekly snap

Revision 1.166  2006/04/07 17:45:14  arekm
- up to 20060407

Revision 1.165  2006/04/06 06:09:23  arekm
- new weekly (225)

Revision 1.164  2006/04/05 22:47:04  charles
- updated to 8.54

Revision 1.163  2006/04/03 15:52:23  arekm
- new weekly

Revision 1.162  2006/03/26 09:07:10  arekm
- new weekly snap

Revision 1.161  2006/02/26 18:16:36  arekm
- weekly needs different numbers dear charles, otherwise no md5 can be updated

Revision 1.160  2006/02/17 21:33:04  charles
- added weekly snapshots version (with bcond)
- openmotif isn't already required for version 9

Revision 1.159  2006/02/17 16:57:45  arekm
- up to 8.52

Revision 1.158  2006/02/07 09:33:39  arekm
- updated snap bcond to 9.0 Preview-2

Revision 1.157  2006/01/26 09:18:46  ankry
- P: wwwbrowser (for future use)

Revision 1.156  2005/12/19 19:47:07  glen
- typo

Revision 1.155  2005/12/19 19:44:48  glen
- add CVE ref

Revision 1.154  2005/12/04 23:10:18  glen
- adapterized (sorted %verify flags)

Revision 1.153  2005/11/22 20:42:28  charles
- updated to 8.51 final (fixes CVE-2005-3750)

Revision 1.152  2005/10/21 09:13:33  arekm
- snap up to 9.0.20051020

Revision 1.151  2005/09/21 01:45:13  charles
- more desc fixed (use bcond)

Revision 1.150  2005/09/20 17:58:21  qboosh
- desc cosmetics

Revision 1.149  2005/09/20 17:48:18  arekm
- description fixed

Revision 1.148  2005/09/20 09:59:08  arekm
- up to 8.50 (this is ADVERTISEMENT-FREE version!)

Revision 1.147  2005/08/01 20:11:28  arekm
- up to 8.02

Revision 1.146  2005/07/29 18:01:40  arekm
- snap version 8.10; 8.02 still not available (stupid opera team announced version without uploading everything to their ftp)

Revision 1.145  2005/06/16 17:37:37  arekm
- up to rereleased (the real release) opera 8.01

Revision 1.144  2005/06/06 11:10:11  glen
- include snapshot version in release, to be able to upgrade from snapshots

Revision 1.143  2005/06/04 21:59:47  arekm
- up to 8.01 final

Revision 1.142  2005/05/27 00:01:42  ankry
- rel. 4

Revision 1.141  2005/05/26 20:54:36  ankry
- next attempt to use sparc as static only

Revision 1.140  2005/05/26 19:50:12  speedy
- aaargh. real fix

Revision 1.139  2005/05/26 19:38:54  speedy
- we have to use static version on sparc...
- release 3

Revision 1.138  2005/05/26 09:57:48  charles
- typo

Revision 1.137  2005/05/23 20:45:51  arekm
- 8.01 snap

Revision 1.136  2005/05/13 09:51:45  charles
- removed pl.lng (We wait for new opera-i18n)

Revision 1.135  2005/05/13 08:19:20  charles
- added polish locale
- fixed %files
- rel. 2

Revision 1.134  2005/04/20 09:20:13  glen
- use sed 4.0

Revision 1.133  2005/04/18 18:43:30  arekm
- up to final 8.0

Revision 1.132  2005/03/18 08:46:43  arekm
- beta3

Revision 1.131  2005/03/04 20:00:59  arekm
- link with latest possible operamotifwrapper

Revision 1.130  2005/03/04 19:45:54  arekm
- fix md5

Revision 1.129  2005/03/01 19:59:34  arekm
- up to 8.0 beta2

Revision 1.128  2005/01/29 14:25:32  arekm
- gcc3 tarball for ppc

Revision 1.127  2005/01/06 07:43:34  arekm
- well, we will use epoch next time

Revision 1.126  2005/01/06 07:31:11  arekm
- up to 8.00 beta

Revision 1.125  2004/12/16 13:28:53  arekm
- up to 7.54u1

Revision 1.124  2004/12/03 15:12:15  arekm
- up to preview4

Revision 1.123  2004/11/16 23:11:17  ankry
- spaces -> tabs

Revision 1.122  2004/11/15 19:38:14  arekm
- more updates

Revision 1.121  2004/11/15 18:48:04  arekm
- opera team is currently uploading snap files, so not all md5 sums updated

Revision 1.120  2004/11/13 22:39:23  arekm
- add /etc/oper* configs

Revision 1.119  2004/10/26 18:46:49  arekm
- 7.60 Preview 2; fix this spec

Revision 1.118  2004/10/25 11:36:57  paladine
- "HTML" and "Perl" unification

Revision 1.117  2004/10/20 19:51:15  dzeus
- typo

Revision 1.116  2004/10/05 13:38:48  pzurowski
- fixed distfiles errors (i hope... if not, i'll revert on demand)

Revision 1.115  2004/10/04 21:45:50  pzurowski
- removed (IMO) pathology with "if"s
- tested with "--without shared --with snap --without incall" on i686 (originally it didn't build)
- should release be bumped up?

Revision 1.114  2004/09/13 10:52:00  havner
- epoch 1, rel 4

Revision 1.113  2004/09/13 08:01:17  arekm
- drop dirrel from release for stable version

Revision 1.112  2004/09/05 13:08:55  arekm
- move english.lng to opera.spec

Revision 1.111  2004/09/05 13:04:33  arekm
- fix date for stable release

Revision 1.110  2004/09/04 22:36:12  japhy
- Package english.lng for snapshot (Opera doesn't start without this file)

Revision 1.109  2004/08/31 19:10:50  ankry
- %files fix

Revision 1.108  2004/08/31 19:02:27  ankry
- i18n files moved to opera-i18n.spec, rel. 3

Revision 1.107  2004/08/30 23:08:33  arekm
- stable/devel choosen by bcond

Revision 1.106  2004/08/30 23:05:52  arekm
- update to 7.60 preview-1 (no sparc version)

Revision 1.105  2004/08/24 15:46:56  dzeus
- typo, english.lng added

Revision 1.104  2004/08/23 10:40:49  arekm
- security note was WRONG: Solution:  The vendor has released a fixed version (7.54)

Revision 1.103  2004/08/23 09:22:03  blues
- SECURITY note

Revision 1.102  2004/08/12 11:05:49  ankry
- OOPS

Revision 1.101  2004/08/12 09:35:18  ankry
- add translations, rel. 2

Revision 1.100  2004/08/12 08:13:43  ankry
- fix src.rpm build

Revision 1.99  2004/08/10 13:55:42  arekm
- fixed in this (7.54) version

Revision 1.98  2004/08/10 13:54:28  blues
- SECURITY note

Revision 1.97  2004/08/06 19:10:06  arekm
- updated to 7.54

Revision 1.96  2004/07/26 15:31:16  arekm
- we can redistribute it

Revision 1.95  2004/07/25 23:30:59  arekm
- updated to 7.53

Revision 1.94  2004/07/08 13:30:42  arekm
- fix wrappers

Revision 1.93  2004/07/08 09:24:48  jack
- updated to 7.52 final (not tested yet!)

Revision 1.92  2004/07/06 22:38:54  arekm
- hack dropped since so.3 vs so.4 incompatibility hits us with flash

Revision 1.91  2004/06/09 20:28:15  arekm
- updated to 7.51

Revision 1.90  2004/05/12 20:25:35  arekm
- updated to 7.50 FINAL

Revision 1.89  2004/05/05 09:09:05  qboosh
- .so perms

Revision 1.88  2004/04/28 20:38:50  arekm
- use polish.lng as name

Revision 1.87  2004/04/28 20:22:42  arekm
- damn

Revision 1.86  2004/04/28 20:20:21  arekm
- add spellcheck

Revision 1.85  2004/04/28 20:11:16  arekm
- more macros usage; update polish language file

Revision 1.84  2004/04/24 21:26:36  arekm
- 7.50 beta1

Revision 1.83  2004/04/18 11:37:07  ankry
- speces -> tabs

Revision 1.82  2004/04/18 09:59:49  gotar
- let builder fetch only choosen source (arch and static/shared) - they are
  NoSource and won't get into nosrc.rpm anyway

Revision 1.81  2004/04/15 13:10:58  arekm
- updated to 7.50 Preview-4

Revision 1.80  2004/03/15 09:46:23  pzurowski
- really new style bconds

Revision 1.79  2004/03/13 20:15:43  arekm
- updated to 7.50 Preview3

Revision 1.78  2004/02/29 18:35:34  arekm
- fixed + mega hack added

Revision 1.77  2004/02/29 18:16:25  jack
- corrected %*rel*

Revision 1.76  2004/02/29 18:05:40  jack
- Builds and works on intel (if only athlon may be called intel) ;)
- 7.50 Preview 2 looks fantastic! ;)

Revision 1.75  2004/01/27 16:52:43  arekm
- create symlink instead of removing wrapper

Revision 1.74  2004/01/08 23:09:28  arekm
- require _only_ one version of libXm.so; rel 2

Revision 1.73  2004/01/08 22:59:02  arekm
- updated src for sparc/ppc

Revision 1.72  2003/12/16 09:54:49  ankry
- separate Source entries for shared/static versions
- NoSource added

Revision 1.71  2003/12/16 08:28:59  ggodlewski
- bcond for shared version - works ok. Default mode perhaps?

Revision 1.70  2003/11/25 21:53:48  arekm
- fix path in opera.policy (so java will now work)

Revision 1.69  2003/11/22 17:48:16  gotar
- _applnkdir -> _desktopdir

Revision 1.68  2003/11/20 19:25:43  arekm
- updated to 7.23 version

Revision 1.67  2003/10/25 13:25:41  ankry
- pl: linkowanie -> konsolidacja, shell -> powoka

Revision 1.66  2003/10/25 10:05:34  undefine
- small ppc/sparc fixes ;)

Revision 1.65  2003/10/25 09:01:15  ggodlewski
- ppc<=>sparc fix - I have no place to test it... :(

Revision 1.64  2003/10/24 13:25:43  ggodlewski
- 7.21 final

Revision 1.63  2003/10/20 19:57:02  jack
- md5sums ;)

Revision 1.62  2003/10/20 19:16:41  jack
- updated to preview3

Revision 1.61  2003/10/03 16:50:47  ggodlewski
- 7.21 preview 1/2

Revision 1.60  2003/09/08 13:54:32  ggodlewski
- Beta9

Revision 1.59  2003/08/29 07:34:33  ggodlewski
- B7 rel.

Revision 1.58  2003/08/27 18:51:09  ggodlewski
- B5 rel.

Revision 1.57  2003/08/21 19:32:27  ggodlewski
- B4 snapshot

Revision 1.56  2003/08/18 10:39:33  ankry
- src URL fix

Revision 1.55  2003/08/18 08:08:25  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.54  2003/08/14 18:25:30  ggodlewski
- 7.20 B3 - seems to work, some problems with new openmotif

Revision 1.53  2003/05/28 13:00:09  malekith
- massive attack: source-md5

Revision 1.52  2003/05/26 15:41:32  erjot
- add polish locale
- cut changelog

Revision 1.51  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.50  2003/05/17 12:03:19  ggodlewski
- updated to final. At last!
